import { HttpClient } from '@angular/common/http';
import * as i0 from "@angular/core";
export declare class ImageUplaodService {
    private http;
    private bucketUrl;
    cmisFileUpload: any;
    UNSPLASH_API_TOKEN: string;
    private s3Client?;
    constructor(http: HttpClient, bucketUrl: any);
    uploadFileInAzure(file: File, folderName?: string): Promise<import("@azure/storage-blob").BlockBlobClient | null>;
    uploadFileInAWS(file: File, folderName?: string): Promise<string>;
    private fileToArrayBuffer;
    searchPhotosInUnsplash(searchedText: string, page?: number, size?: number): import("rxjs").Observable<Object>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ImageUplaodService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ImageUplaodService>;
}
